:root {
	--theme-black: #000000;
	--theme-white: #ffffff;
	
  /* Define color variables */
  --theme-jet-black: #111111;
  --theme-dark-gray: #212529;
  --theme-charcoal-gray: #5A5D60;
  --theme-bright-red: #B51A00;
  --theme-deep-red: #B51700;
  --theme-medium-gray: #9F9B9B;
  --theme-golden-sand: #D7B56D;
  --theme-light-gray: #DBDBDB;
  --theme-light-silver: #E8E8E8;
  --theme-vivid-red: #FF0000;
	--theme-slate-purple: #403f52;
}

/* Text color classes */
.theme-text-jet-black { color: var(--theme-jet-black); }
.theme-text-dark-gray { color: var(--theme-dark-gray); }
.theme-text-charcoal-gray { color: var(--theme-charcoal-gray); }
.theme-text-bright-red { color: var(--theme-bright-red); }
.theme-text-deep-red { color: var(--theme-deep-red); }
.theme-text-medium-gray { color: var(--theme-medium-gray); }
.theme-text-golden-sand { color: var(--theme-golden-sand); }
.theme-text-light-gray { color: var(--theme-light-gray); }
.theme-text-light-silver { color: var(--theme-light-silver); }
.theme-text-vivid-red { color: var(--theme-vivid-red); }
.theme-text-slate-purple { color: var(--theme-slate-purple); }
.theme-text-black { color: var(--theme-black); }
.theme-text-white { color: var(--theme-white); }

/* Background color classes */
.theme-bg-jet-black { background-color: var(--theme-jet-black); }
.theme-bg-dark-gray { background-color: var(--theme-dark-gray); }
.theme-bg-charcoal-gray { background-color: var(--theme-charcoal-gray); }
.theme-bg-bright-red { background-color: var(--theme-bright-red); }
.theme-bg-deep-red { background-color: var(--theme-deep-red); }
.theme-bg-medium-gray { background-color: var(--theme-medium-gray); }
.theme-bg-golden-sand { background-color: var(--theme-golden-sand); }
.theme-bg-light-gray { background-color: var(--theme-light-gray); }
.theme-bg-light-silver { background-color: var(--theme-light-silver); }
.theme-bg-vivid-red { background-color: var(--theme-vivid-red); }
.theme-bg-slate-purple { background-color: var(--theme-slate-purple); }
.theme-bg-black { background-color: var(--theme-black); }
.theme-bg-white { background-color: var(--theme-white); }
